﻿@model ClientBudget
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Add Budget</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form id="budgetFrm" class="form fv-plugins-bootstrap fv-plugins-framework" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormComplete">
            <div class="modal-body">
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="BudgetType"></label>
                            <select asp-for="BudgetType" class="form-control form-control-lg" data-live-search="true"></select>
                            <span asp-validation-for="BudgetType" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="table-responsive font-size-h6 mb-5" id="main-div">
                    <table class="table table-sm mb-0 table-borderless d-none table-budget" id="table-budget">
                        <thead>
                            <tr style="border-bottom:#EBEDF3 solid 1px">
                                <td class="font-size-h6 font-weight-bold min-w-150px">Expense</td>
                                <td class="font-size-h6 font-weight-bold text-right min-w-100px">Annual amount</td>
                                <td class="font-weight-bold font-size-h6 pl-2 pr-2 min-w-100px">Inflationary?</td>
                                <td class="font-size-h6 font-weight-bold pl-2 pr-2 text-right min-w-100px">Balance owed</td>
                                <td class="font-size-h6 font-weight-bold text-right min-w-70px">Years till payoff</td>
                                <td></td>
                            </tr>
                        </thead>
                        <tbody class="mt-5">
                        </tbody>
                    </table>
                    <span class="d-none msg">No more rows to add</span>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold px-6 py-2" id="btn-modal-submit" type="button">
                    <i class="la la-save"></i>Save
                </button>
            </div>
        </form>
    </div>
</div>
<script id="budget-template" type="text/html">
    <tr data-id="${ budgetItemId }">
        <td>${ budgetItem.itemName }</td>
        <td class="w-100px text-right">
            <input value="${amount}" class="form-control input-xs currency text-right float-right none-zero budgetinfo" data-key="amount" type="text">
        </td>
        <td class="w-40px">
            <span class="switch switch-outline switch-icon switch-custom switch-xs justify-content-center">
                <label>
                    <input type="checkbox" data-key="inflationary" class="budgetinfo">
                    <span></span>
                </label>
            </span>
        </td>
        {{if budgetItem && budgetItem.isRevolvingDebt == true}}
        <td class="w-100px text-right">
            <input value="${balanceOwn}" class="form-control input-xs currency text-right autosize-textbox float-right budgetinfo" data-key="balanceOwn" type="text">
        </td>
        <td class="w-100px text-right">
            <input value="${yearsPayOff}" class="form-control input-xs text-right autosize-textbox float-right budgetinfo year-mask" data-key="yearsPayOff">
        </td>
        {{/if}}
    </tr>
</script>
<script>
    bindBudgetItem("BudgetType", null);
    var items;
</script>